Subject: Re: git on MacOSX and files with decomposed utf-8 file names

From: Miles Bader <[email-masked]>
Date: Thu, 17 Jan 2008 16:29:19 +0900

Kevin Ballard <[email-masked]> writes:
> More like, Mac OS X has standardized on Unicode and the rest of the
> world hasn't caught up yet. Git is the only tool I've ever heard of
> that has a problem with OS X using Unicode.

Apple's decision[*] to use _decomposed_ unicode causes all sorts of
little problems because other tools aren't expecting to see strings
changed behind their backs.

I know little about the gritty details, but I see the bug reports...

-Miles

-- 
Any man who is a triangle, has thee right, when in Cartesian Space, to
have angles, which when summed, come to know more, nor no less, than
nine score degrees, should he so wish.  [TEMPLE OV THEE LEMUR]
.